import processing.net.*;
import processing.serial.*;
import cc.arduino.*;

Arduino arduino;
int redPin = 9;
int greenPin = 10;
int bluePin = 11;
String[] q = new String[4];
int valRed = 0;
int valGreen = 0;
int valBlue =0;

Client c;
String data;



void setup()
{
  //println(Arduino.list());
  arduino = new Arduino(this, Arduino.list()[0], 57600);
  arduino.pinMode(redPin, Arduino.OUTPUT);
  arduino.pinMode(greenPin, Arduino.OUTPUT);
  arduino.pinMode(bluePin, Arduino.OUTPUT); 

  c = new Client(this, "www.lizrutledge.com", 80); // Connect to server on port 80
  
}

void draw(){
  
    c.write("GET /myFile.txt HTTP/1.1\n"); // Use the HTTP "GET" command to ask for a Web page
    c.write("Host: lizrutledge.com\n\n"); // Be polite and say who we are

  if (c.available() > 0) { // If there's incoming data from the client...
    data = c.readString(); // ...then grab it and print it
    println(data);
    q = split(data, "&nbsp;");
    println(q);
    
    valRed = int(q[1]);
    valGreen = int(q[2]);
    valBlue = int(q[3]);    
    
    println("R = "+valRed);
    println("G = "+valGreen);
    println("B = "+valBlue);

  }


  arduino.analogWrite(redPin, valRed);
  arduino.analogWrite(greenPin, valGreen);
  arduino.analogWrite(bluePin, valBlue);
  delay(1000);
/*  arduino.analogWrite(redPin, Arduino.LOW);
  arduino.analogWrite(greenPin, Arduino.LOW);
  arduino.analogWrite(bluePin, Arduino.LOW);
  delay(1000);  
*/  
  
 // delay(5000);
  
}
